Announcement Announcement Module
Collapse
No announcement yet.
Cloud Foundry Plug-in Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • Cloud Foundry Plug-in

    So I'm installing the cloud foundry plugin for grails. Version 1.2.1 on top of my grails 1.3.7

    On running "grails install-plugin cloud-foundry" I get 3 errors.

    [groovyc] Compiling 24 source files to /home/gervase/.grails/1.3.7/projects/PersonBase/plugin-classes
    [groovyc] org.codehaus.groovy.control.MultipleCompilationErr orsException: startup failed:
    [groovyc] /home/gervase/.grails/1.3.7/projects/PersonBase/plugins/cloud-foundry-1.2.1/grails-app/taglib/grails/plugin/cloudfoundry/CloudFoundryTagLib.groovy: 18: unable to resolve class grails.plugin.cloudsupport.AbstractCloudTagLib
    [groovyc] @ line 18, column 1.
    [groovyc] import grails.plugin.cloudsupport.AbstractCloudTagLib
    [groovyc] ^
    [groovyc] /home/gervase/.grails/1.3.7/projects/PersonBase/plugins/cloud-foundry-1.2.1/src/groovy/grails/plugin/cloudfoundry/AppCloudServiceBeanPostprocessor.groovy: 17: unable to resolve class grails.plugin.cloudsupport.AbstractCloudBeanPostpr ocessor
    [groovyc] @ line 17, column 1.
    [groovyc] import grails.plugin.cloudsupport.AbstractCloudBeanPostpr ocessor
    [groovyc] ^
    [groovyc] /home/gervase/.grails/1.3.7/projects/PersonBase/plugins/cloud-foundry-1.2.1/src/groovy/grails/plugin/cloudfoundry/CloudFoundryMongoBeanConfigurer.groovy: 17: unable to resolve class grails.plugin.cloudsupport.AbstractMongoBeanConfig urer
    [groovyc] @ line 17, column 1.
    [groovyc] import grails.plugin.cloudsupport.AbstractMongoBeanConfig urer
    [groovyc] ^
    [groovyc] 3 errors



    I checked the source for the first of the errors and sure enough there's an import
    import grails.plugin.cloudsupport.AbstractCloudTagLib

    Where is this class? And the other two?

    Thanks

  • #2
    The cloud-foundry plugin has a dependency on the cloud-support plugin and it should auto-install. If that's failing, install cloud-support first and then cloud-foundry.

    Comment


    • #3
      Originally posted by burtbeckwith View Post
      The cloud-foundry plugin has a dependency on the cloud-support plugin and it should auto-install. If that's failing, install cloud-support first and then cloud-foundry.
      Ok... thanks for the quick reply.

      I found the docs at
      http://grails.org/plugin/cloud-support

      ran
      grails install-plugin cloud-support

      It installed and so did the cloud-foundry plugin. cf-info reports

      VMware's Cloud Application Platform
      For support visit http://support.cloudfoundry.com
      Target: http://api.cloudfoundry.com (v0.999)
      User: my email
      Usage: Memory (0B of 2.0G total)
      Services (0 of 16 total)
      Apps (0 of 20 total)


      :sweet:

      Comment

      Working...
      X